#
# Variables d'environnement
#
set BROWSER chromium
set EDITOR nvim

#
# Aliases
#

# PERSO #
alias e 'nvim'
alias r 'nvim -R'
alias ls 'exa'
alias rgrep 'rg --no-ignore'

alias rero "ALIAS=rero /home/od/rero/logik/agnes"

alias dotfiles '/usr/bin/git --git-dir=$HOME/.dotfiles/ --work-tree=$HOME'

# RERO #
alias pyt 'poetry run pytest -vvs --no-cov --disable-warnings'
alias pytc 'poetry run pytest -vvs --disable-warnings --cov-report=xml:cov.xml'

# GIT #
alias g 'git'

alias ga 'git add'
alias gaa 'git add --all'
alias gapa 'git add --patch'

alias gb 'git branch'
alias gba 'git branch -a'
#alias gbda 'git branch --no-color --merged | command grep -vE "^(\*|\s*(master|develop|dev)\s*$)" | command xargs -n 1 git branch -d'
alias gbl 'git blame -b -w'
alias gbnm 'git branch --no-merged'
alias gbr 'git branch --remote'
alias gbs 'git bisect'
alias gbsb 'git bisect bad'
alias gbsg 'git bisect good'
alias gbsr 'git bisect reset'
alias gbss 'git bisect start'

alias gc 'git commit -v'
alias gc! 'git commit -v --amend'
alias gcn! 'git commit -v --no-edit --amend'
alias gca 'git commit -v -a'
alias gca! 'git commit -v -a --amend'
alias gcan! 'git commit -v -a --no-edit --amend'
alias gcans! 'git commit -v -a -s --no-edit --amend'
alias gcam 'git commit -a -m'
alias gcb 'git checkout -b'
alias gcf 'git config --list'
alias gcl 'git clone --recursive'
alias gclean 'git clean -fd'
alias gpf 'git push --force-with-lease'
alias gpf! 'git push --force'
alias gpristine 'git reset --hard & git clean -dfx'
alias gcm 'git checkout master'
alias gcmsg 'git commit -m'
alias gco 'git checkout'
alias gcount 'git shortlog -sn'
alias gcp 'git cherry-pick'
alias gcs 'git commit -S'

alias gd 'git diff'
alias gdca 'git diff --cached'
alias gdct 'git describe --tags `git rev-list --tags --max-count 1`'
alias gdt 'git diff-tree --no-commit-id --name-only -r'
alias gdw 'git diff --word-diff'

alias gf 'git fetch'
alias gfa 'git fetch --all --prune'
alias gfo 'git fetch origin'

alias gg 'git gui citool'
alias gga 'git gui citool --amend'
alias ggpull "git pull origin (git_branch_name)"

alias ggpush "git push origin (git_branch_name)"
alias ggsup 'git branch --set-upstream-to origin/(git_branch_name)'
alias ggpur 'ggu'

alias gignore 'git update-index --assume-unchanged'
alias gignored 'git ls-files -v | grep "^[[:lower:]]"'
alias git-svn-dcommit-push 'git svn dcommit & git push github master:svntrunk'

alias gk '\gitk --all --branches'
#alias gke '\gitk --all $(git log -g --pretty format:%h)'

alias gl 'git pull'
alias glg 'git log --stat'
alias glgp 'git log --stat -p'
alias glgg 'git log --graph'
alias glgga 'git log --graph --decorate --all'
alias glgm 'git log --graph --max-count 10'
alias glo 'git log --oneline --decorate'
alias glol "git log --graph --pretty format:'%Cred%h%Creset -%C(yellow)%d%Creset %s %Cgreen(%cr) %C(bold blue)<%an>%Creset' --abbrev-commit"
alias glola "git log --graph --pretty format:'%Cred%h%Creset -%C(yellow)%d%Creset %s %Cgreen(%cr) %C(bold blue)<%an>%Creset' --abbrev-commit --all"
alias glog 'git log --oneline --decorate --graph'
alias gloga 'git log --oneline --decorate --graph --all'
alias glp "_git_log_prettily"

alias gm 'git merge'
alias gmom 'git merge origin/master'
alias gmt 'git mergetool --no-prompt'
alias gmtvim 'git mergetool --no-prompt --tool vimdiff'
alias gmum 'git merge upstream/master'

alias gp 'git push'
alias gpd 'git push --dry-run'
alias gpoat 'git push origin --all & git push origin --tags'
alias gpu 'git push upstream'
alias gpv 'git push -v'

alias gr 'git remote'
alias gra 'git remote add'
alias grb 'git rebase'
alias grba 'git rebase --abort'
alias grbc 'git rebase --continue'
alias grbi 'git rebase -i'
alias grbm 'git rebase master'
alias grbs 'git rebase --skip'
alias grh 'git reset HEAD'
alias grhh 'git reset --hard'
alias grmv 'git remote rename'
alias grrm 'git remote remove'
alias grset 'git remote set-url'
#alias grt 'cd $(git rev-parse --show-toplevel || echo ".")'
alias gru 'git reset --'
alias grup 'git remote update'
alias grv 'git remote -v'

alias gsb 'git status -sb'
alias gsd 'git svn dcommit'
alias gsi 'git submodule init'
alias gsps 'git show --pretty short --show-signature'
alias gsr 'git svn rebase'
alias gss 'git status -s'
alias gst 'git status'
alias gsta 'git stash save'
alias gstaa 'git stash apply'
alias gstd 'git stash drop'
alias gstl 'git stash list'
alias gstp 'git stash pop'
alias gsts 'git stash show --text'
alias gsu 'git submodule update'
alias gsw 'git switch'
alias gswc 'git switch -c'

alias gts 'git tag -s'
alias gtv 'git tag | sort -V'

alias gunignore 'git update-index --no-assume-unchanged'
alias gunwip 'git log -n 1 | grep -q -c "\-\-wip\-\-" & git reset HEAD~1'
alias gup 'git pull --rebase'
alias gupv 'git pull --rebase -v'
alias glum 'git pull upstream master'

alias gwch 'git whatchanged -p --abbrev-commit --pretty medium'
#alias gwip 'git add -A; git rm $(git ls-files --deleted) 2> /dev/null; git commit -m "--wip--"'
